package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.params.SyncDataParam;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;

import java.util.Map;

/**
 * 同步数据到云阅卷 服务类
 * @Date: 2021/5/20.
 */
public interface DataSyncService {
    void syncToCloudReview();

    void syncDataCloud(Long printPlanId, Long thirdRelateId);

    void syncDataMerge(SyncDataParam syncDataParam);

    void uploadStructure(ExamPaperStructure examPaperStructure);

    Map<String, Object> markerLoginInfo();

    Map<String, Object> markerLeaderLoginInfo();
}
