package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.distributed.print.business.enums.ExamPaperStructureStatusEnum;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 试卷结构 服务类
 * </p>
 *
 * @author xf
 */
public interface ExamPaperStructureService extends IService<ExamPaperStructure> {

    IPage<ExamPaperStructure> listByPropositionTeacherId(Integer pageNumber, Integer pageSize);

    ExamPaperStructure upload(Long id, String md5, String paperType, MultipartFile[] files);

    void updateStatusById(Long id, ExamPaperStructureStatusEnum startSync);
}
